#include<fstream>
using namespace std;
int main()
{
	ifstream f1("DEMTU.INP");
	ofstream f2("DEMTU.OUT");
	char s[256];
	f1.getline(s,255);
	int i;
	int l=0;
	for(i=0;i<254;i++)
	{
		if(s[i] != 32)
		{
			while(s[i]!= 32)
			{
				i++;
			}
			l++;
		}
	}
	f1.close();
	f2<<l-1;
	f2.close();
	return 0;
}
